import { ARCHIVE_ROUTE, DOSSIERS_ROUTE } from '@red/domain';

export function getDossierRouterLink(dossierTemplateId: string, dossierId: string, isArchived: boolean): string {
    const routerPath = isArchived ? ARCHIVE_ROUTE : DOSSIERS_ROUTE;
    const dossiersListRouterLink = `/main/${dossierTemplateId}/${routerPath}`;
    return `${dossiersListRouterLink}/${dossierId}`;
}
